aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2023-09-11 20:57:04 +0300
committerkaotisk <kaotisk@arching-kaos.org>2023-09-11 20:57:04 +0300
commit7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76 (patch)
treefd8901115994d1bcbe43f8856ecadcf0bd33ebde /bin
parent6732953e0cc1e4d91d19dcddb90a2fc9afdfeace (diff)
downloadarching-kaos-tools-7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76.tar.gz
arching-kaos-tools-7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76.tar.bz2
arching-kaos-tools-7550b8ccb0b05d3b11a9bfcb45cee0849dc05f76.zip
Workaround for IPNS unresolvable zchain links
- Adds a "zlatest" field to the configuration of the node - We update and publish the configuration each time we change the latest block of our zchain
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ak-config3
-rwxr-xr-xbin/ak-pack_z_block6
-rwxr-xr-xbin/ak-zchain-rebase6
-rwxr-xr-xbin/ak-zchain-reset7
4 files changed, 21 insertions, 1 deletions
diff --git a/bin/ak-config b/bin/ak-config
index 92b932e..8022e42 100755
--- a/bin/ak-config
+++ b/bin/ak-config
@@ -22,7 +22,8 @@ show(){
"profile":'$(ak-profile index | jq -cM)',
"genesis":"'$(cat $HOME/.arching-kaos/config/zgenesis)'",
"gpg":"'$GPG_PUB_KEY'",
- "zchain":"'$(cat $HOME/.arching-kaos/config/zchain)'"
+ "zchain":"'$(cat $HOME/.arching-kaos/config/zchain)'",
+ "zlatest":"'$(ak-get-latest)'"
}';
}
diff --git a/bin/ak-pack_z_block b/bin/ak-pack_z_block
index 4c3ae16..de84638 100755
--- a/bin/ak-pack_z_block
+++ b/bin/ak-pack_z_block
@@ -145,6 +145,12 @@ then
logit "[ERROR]" "Could not copy $ZBLOCK to /zlatest"
exit 1
fi
+ ak-config publish
+ if [ "$?" -ne 0 ]
+ then
+ logit "[ERROR]" "Could not publish new configuration"
+ exit 1
+ fi
else
usage
exit 0
diff --git a/bin/ak-zchain-rebase b/bin/ak-zchain-rebase
index 3115083..255ec69 100755
--- a/bin/ak-zchain-rebase
+++ b/bin/ak-zchain-rebase
@@ -40,6 +40,12 @@ rebase (){
ak-ipfs-name-publish --key=zchain /ipfs/$(cat $AK_ZLATEST)
if [ $? != 0 ]; then exit 1; fi
+ ak-config publish
+ if [ "$?" -ne 0 ]
+ then
+ logit "[ERROR]" "Could not publish new configuration"
+ exit 1
+ fi
echo "Rebase was successful"
exit 0
}
diff --git a/bin/ak-zchain-reset b/bin/ak-zchain-reset
index e80fabe..8b72810 100755
--- a/bin/ak-zchain-reset
+++ b/bin/ak-zchain-reset
@@ -38,6 +38,13 @@ reset (){
echo "Publishing new (reset) ZLATEST"
ak-ipfs-name-publish --key=zchain /ipfs/$(cat $ZLATEST)
if [ $? != 0 ]; then exit 1; fi
+
+ ak-config publish
+ if [ "$?" -ne 0 ]
+ then
+ logit "[ERROR]" "Could not publish new configuration"
+ exit 1
+ fi
echo "Reset was successful"
exit 0